import { BottomOverlayRow, TextLabelFactory, ComponentFactory } from "../";
/** Represents a notification that is displayed in the corner of the screen */
export declare class Notification extends BottomOverlayRow {
    timeout: number;
    /** Close all notifications currently displayed on screen */
    static closeAll(): void;
    /** Global alignment setting (do not change after display) */
    static SCREEN_CORNER: Notification.ScreenCorner;
    /** Global margin setting in px (do not change after display) */
    static HORZ_OUTER_MARGIN_PX: number;
    /** Global margin setting in px (do not change after display) */
    static VERT_OUTER_MARGIN_PX: number;
    /** Global margin setting in px (do not change after display) */
    static VERT_INNER_MARGIN_PX: number;
    /** Create a notification with given content, and optional timeout in ms (default 4000) */
    constructor(content: string | TextLabelFactory | ComponentFactory.SpecElt[], timeout?: number);
    /** Display this notification on screen */
    display(): this | undefined;
    /** Remove this notification from the screen */
    close(): void;
}
export declare namespace Notification {
    /** Notification display alignment options */
    enum ScreenCorner {
        /** Bottom left corner */
        BottomLeft = 0,
        /** Bottom right corner */
        BottomRight = 1,
        /** Top left corner */
        TopLeft = 2,
        /** Top right corner */
        TopRight = 3,
    }
}
export default Notification;
